Get an automation (staff)
GET /api/automations/{id}. Get an automation (staff). Headless LMS Automations API reference.
Staff only (owner, admin, instructor). Workflows and webhooks alike.
Path Parameters
id*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/automations/string"{ "orgId": "string", "id": "string", "name": "string", "kind": "workflow", "description": "string", "triggers": [ "string" ], "actions": [ { "type": "string", "input": { "property1": null, "property2": null } } ], "enabled": true, "filter": { "property1": null, "property2": null }, "source": "system", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}List the domain events automations can react to (staff) GET
GET /api/automations/triggers. List the domain events automations can react to (staff). Headless LMS Automations API reference.
Update a workflow automation (staff) PATCH
PATCH /api/automations/{id}. Update a workflow automation (staff). Headless LMS Automations API reference.